Subject: Re: bug#31079: Windows - Emacs-25.3.1 Can't find source.tex file

From: David Kastrup <[email-masked]>
Date: Sun, 08 Apr 2018 15:46:47 +0200

Ikumi Keita <[email-masked]> writes:

> Liyu, thank you very much.
>
>>>>>> Liyu Gong <[email-masked]> writes:
>> On Sun, Apr 8, 2018 at 8:35 AM, Ikumi Keita <[email-masked]> wrote:
>>>>>>>> Liyu Gong <[email-masked]> writes:
>>>> Hi Ikumi,
>>>> Sorry, I just got up. The results is the same: a dot followed with a
>>>> newline "\n"
>>> 
>>> Thanks.  Well, then...
>>> 
>>> 1. How about the following two?
>>> 
>>> (call-process "kpsewhich" nil (list standard-output nil) nil
>>> "--expand-brace" "{.,..}")
>>> 
>>> (call-process "kpsewhich" nil (list standard-output nil) nil
>>> "--expand-brace" "{.,./.}")
>>> 
>
>> These two produce the same result: a dot followed by a newline "\n"
>
>>> 2. Could you issue the following command with windows command prompt?
>>> kpsewhich --version
>
>> C:\Users\gongl>kpsewhich --version
>> kpathsea version 6.2.3
>> Copyright 2017 Karl Berry & Olaf Weber.
>> License LGPLv2.1+: GNU Lesser GPL version 2.1 or later
>> <http://gnu.org/licenses/lgpl.html>
>> This is free software: you are free to change and redistribute it.
>> There is NO WARRANTY, to the extent permitted by law.
>
> Then the kpsewhich binary must really be the official texlive version.
> I'm a sort of giving up.

Again: I suppose that may be an artifact of security settings, like one
of the following options in texmf.cnf:

% This is used by the Windows script wrapper for restricting searching
% for the purportedly safe shell_escape_commands above to system
% directories.
TEXMF_RESTRICTED_SCRIPTS = \
  {!!$TEXMFLOCAL,!!$TEXMFDIST}/scripts/{$progname,$engine,}//

% Do we allow TeX \input or \openin (openin_any), or \openout
% (openout_any) on filenames starting with `.' (e.g., .rhosts) or
% outside the current tree (e.g., /etc/passwd)?
% a (any)        : any file can be opened.
% r (restricted) : disallow opening dot files
% p (paranoid)   : as `r' and disallow going to parent directories, and
%                  restrict absolute paths to be under $TEXMFOUTPUT.
openin_any = a
openout_any = p

-- 
David Kastrup